/**
 * 获取几天前的起始时间戳
 * @param {boolean} n 几天前
 * @returns {number} 时间戳
 * @example
 * ```ts
 * // 默认返回秒级时间戳（今日 0 点 0 分 0 秒）
 * getDayStartTimestamp(0);
 * // 返回毫秒级时间戳
 * getDayStartTimestamp(0, 'ms');
 * // 获取三天前的起始时间戳（秒级）
 * getDayStartTimestamp(3);
 * ```
 */
export declare function getDayStartTimestamp(n?: number, unit?: string): number;
/**
 * 获取几天前的终止时间戳
 * @param {boolean} n 几天前
 * @param {string} unit 返回时间戳的单位，默认是s(秒)
 * @param {string} endFlag 以什么单位作为结束时间，默认分钟，即 23时59劆0秒0毫秒
 * @returns {number} 时间戳
 * @example
 * ```ts
 * // 默认返回今日 23:59:00 的秒级时间戳
 * getDayEndTimeStamp(0);
 * // 返回毫秒级
 * getDayEndTimeStamp(0, 'ms');
 * // 以秒为结束单位，返回 23:59:59 毫秒级
 * getDayEndTimeStamp(0, 'MS', 's');
 * // 以毫秒为结束单位，返回 23:59:59.999
 * getDayEndTimeStamp(0, 'MS', 'ms');
 * // 以小时为结束单位，返回 23:00:00
 * getDayEndTimeStamp(0, 'MS', 'h');
 * ```
 */
export declare function getDayEndTimeStamp(n?: number, unit?: string, endFlag?: string): number;
export declare function getTodayStartTimestamp(unit?: string): number;
export declare function getTodayEndTimeStamp(unit?: string, endFlag?: string): number;
export declare function getYesterdayStartTimeStamp(unit?: string): number;
export declare function getYesterdayEndTimeStamp(unit?: string, endFlag?: string): number;
export declare function getDBYStartTimeStamp(unit?: string): number;
export declare function getDBYEndTimeStamp(unit?: string, endFlag?: string): number;
export declare function getSomeDayStartTimeStamp(date: string | number | Date, unit?: string): number;
export declare function getSomeDayEndTimeStamp(date: string | number | Date, unit?: string): number;
